/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.android.tradefed.result;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;

import com.android.tradefed.result.proto.TestRecordProto.FailureStatus;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.JUnit4;

/** Unit tests for {@link FailureDescription}. */
@RunWith(JUnit4.class)
public class FailureDescriptionTest {

    private FailureDescription mFailureDescription;

    @Test
    public void testCreation() {
        mFailureDescription = FailureDescription.create("error message");
        assertNull(mFailureDescription.getFailureStatus());
        assertEquals("error message", mFailureDescription.toString());
        mFailureDescription.setFailureStatus(FailureStatus.TEST_FAILURE);
        assertEquals(FailureStatus.TEST_FAILURE, mFailureDescription.getFailureStatus());
    }
}
